/*! Devices.css v0.2.0 | MIT License | github.com/picturepan2/devices.css */
.device,
.device::before,
.device::after,
.device *,
.device *::before,
.device *::after {
  box-sizing: border-box;
  display: block;
}

.device {
  position: relative;
  transform: scale(1);
  z-index: 1;
}

.device .device-frame {
  z-index: 1;
}

.device .device-screen {
  background-color: #000;
  background-position: center center;
  background-size: cover;
  object-fit: cover;
  position: relative;
}

.device-iphone-14-pro {
  height: 868px;
  width: 428px;
}

.device-iphone-14-pro .device-frame {
  background: #010101;
  border: 1px solid #1b1721;
  border-radius: 68px;
  box-shadow: inset 0 0 4px 2px #c0b7cd, inset 0 0 0 6px #342c3f;
  height: 868px;
  padding: 19px;
  width: 428px;
}

.device-iphone-14-pro .device-screen {
  border-radius: 49px;
  height: 830px;
  width: 390px;
}

.device-iphone-14-pro .device-stripe::after,
.device-iphone-14-pro .device-stripe::before {
  border: solid rgba(1, 1, 1, .25);
  border-width: 0 7px;
  content: "";
  height: 7px;
  left: 0;
  position: absolute;
  width: 100%;
  z-index: 9;
}

.device-iphone-14-pro .device-stripe::after {
  top: 85px;
}

.device-iphone-14-pro .device-stripe::before {
  bottom: 85px;
}

.device-iphone-14-pro .device-header {
  background: #010101;
  border-radius: 20px;
  height: 35px;
  left: 50%;
  margin-left: -60px;
  position: absolute;
  top: 29px;
  width: 120px;
}

.device-iphone-14-pro .device-sensors::after,
.device-iphone-14-pro .device-sensors::before {
  content: "";
  position: absolute;
}

.device-iphone-14-pro .device-sensors::after {
  background: #010101;
  border-radius: 17px;
  height: 33px;
  left: 50%;
  margin-left: -60px;
  top: 30px;
  width: 74px;
}

.device-iphone-14-pro .device-sensors::before {
  background: radial-gradient(farthest-corner at 20% 20%, #6074bf 0, transparent 40%), radial-gradient(farthest-corner at 80% 80%, #513785 0, #24555e 20%, transparent 50%);
  border-radius: 50%;
  box-shadow: 0 0 1px 1px rgba(255, 255, 255, .05);
  height: 9px;
  left: 50%;
  margin-left: 36px;
  top: 42px;
  width: 9px;
}

.device-iphone-14-pro .device-btns {
  background: #1b1721;
  border-radius: 2px;
  height: 32px;
  left: -2px;
  position: absolute;
  top: 115px;
  width: 3px;
}

.device-iphone-14-pro .device-btns::after,
.device-iphone-14-pro .device-btns::before {
  background: #1b1721;
  border-radius: 2px;
  content: "";
  height: 62px;
  left: 0;
  position: absolute;
  width: 3px;
}

.device-iphone-14-pro .device-btns::after {
  top: 60px;
}

.device-iphone-14-pro .device-btns::before {
  top: 140px;
}

.device-iphone-14-pro .device-power {
  background: #1b1721;
  border-radius: 2px;
  height: 100px;
  position: absolute;
  right: -2px;
  top: 200px;
  width: 3px;
}

.device-iphone-14-pro .device-home::after,
.device-iphone-14-pro .device-home::before {
  border: solid rgba(1, 1, 1, .25);
  border-width: 6px 0;
  content: "";
  height: 6px;
  position: absolute;
  width: 6px;
  z-index: 9;
}

.device-iphone-14-pro .device-home::after {
  right: 86px;
  top: 0;
}

.device-iphone-14-pro .device-home::before {
  bottom: 0;
  left: 86px;
}

.device-iphone-14-pro.device-silver .device-frame {
  border-color: #c8cacb;
  box-shadow: inset 0 0 4px 2px white, inset 0 0 0 6px #e2e3e4;
}

.device-iphone-14-pro.device-silver .device-btns {
  background: #c8cacb;
}

.device-iphone-14-pro.device-silver .device-btns::after,
.device-iphone-14-pro.device-silver .device-btns::before {
  background: #c8cacb;
}

.device-iphone-14-pro.device-silver .device-power {
  background: #c8cacb;
}

.device-iphone-14-pro.device-black .device-frame {
  border-color: #5c5956;
  box-shadow: inset 0 0 4px 2px white, inset 0 0 0 6px #76726f;
}

.device-iphone-14-pro.device-black .device-btns {
  background: #5c5956;
}

.device-iphone-14-pro.device-black .device-btns::after,
.device-iphone-14-pro.device-black .device-btns::before {
  background: #5c5956;
}

.device-iphone-14-pro.device-black .device-power {
  background: #5c5956;
}

.device-iphone-14-pro.device-gold .device-frame {
  border-color: #e7d19e;
  box-shadow: inset 0 0 4px 2px white, inset 0 0 0 6px #d2ab4c;
}

.device-iphone-14-pro.device-gold .device-btns {
  background: #e7d19e;
}

.device-iphone-14-pro.device-gold .device-btns::after,
.device-iphone-14-pro.device-gold .device-btns::before {
  background: #e7d19e;
}

.device-iphone-14-pro.device-gold .device-power {
  background: #e7d19e;
}

/* ── iPhone 17 Pro ──────────────────────────────────────── */

.device-iphone-17-pro {
  height: 912px;
  width: 440px;
}

.device-iphone-17-pro .device-frame {
  background: #010101;
  border: 1px solid #1c1822;
  border-radius: 70px;
  box-shadow: inset 0 0 4px 2px #bbb4c8, inset 0 0 0 6px #35303f;
  height: 912px;
  padding: 19px;
  width: 440px;
}

.device-iphone-17-pro .device-screen {
  border-radius: 51px;
  height: 874px;
  overflow: hidden;
  width: 402px;
}

.device-iphone-17-pro .device-screen > img {
  display: block;
  height: 100%;
  object-fit: cover;
  width: 100%;
}

.device-iphone-17-pro .device-stripe::after,
.device-iphone-17-pro .device-stripe::before {
  border: solid rgba(1, 1, 1, .25);
  border-width: 0 7px;
  content: "";
  height: 7px;
  left: 0;
  position: absolute;
  width: 100%;
  z-index: 9;
}

.device-iphone-17-pro .device-stripe::after {
  top: 89px;
}

.device-iphone-17-pro .device-stripe::before {
  bottom: 89px;
}

.device-iphone-17-pro .device-header {
  background: #010101;
  border-radius: 20px;
  height: 37px;
  left: 50%;
  margin-left: -63px;
  position: absolute;
  top: 27px;
  width: 126px;
}

.device-iphone-17-pro .device-sensors::after,
.device-iphone-17-pro .device-sensors::before {
  content: "";
  position: absolute;
}

.device-iphone-17-pro .device-sensors::after {
  background: #010101;
  border-radius: 17px;
  height: 35px;
  left: 50%;
  margin-left: -63px;
  top: 28px;
  width: 78px;
}

.device-iphone-17-pro .device-sensors::before {
  background: radial-gradient(farthest-corner at 20% 20%, #6074bf 0, transparent 40%), radial-gradient(farthest-corner at 80% 80%, #513785 0, #24555e 20%, transparent 50%);
  border-radius: 50%;
  box-shadow: 0 0 1px 1px rgba(255, 255, 255, .05);
  height: 9px;
  left: 50%;
  margin-left: 38px;
  top: 42px;
  width: 9px;
}

.device-iphone-17-pro .device-btns {
  background: #1c1822;
  border-radius: 2px;
  height: 32px;
  left: -2px;
  position: absolute;
  top: 115px;
  width: 3px;
}

.device-iphone-17-pro .device-btns::after,
.device-iphone-17-pro .device-btns::before {
  background: #1c1822;
  border-radius: 2px;
  content: "";
  height: 62px;
  left: 0;
  position: absolute;
  width: 3px;
}

.device-iphone-17-pro .device-btns::after {
  top: 60px;
}

.device-iphone-17-pro .device-btns::before {
  top: 140px;
}

.device-iphone-17-pro .device-power {
  background: #1c1822;
  border-radius: 2px;
  height: 100px;
  position: absolute;
  right: -2px;
  top: 210px;
  width: 3px;
}

/* ── Surface Pro 2017 ───────────────────────────────────────── */
.device-surface-pro-2017 {
  height: 394px;
  width: 561px;
}

.device-surface-pro-2017 .device-frame {
  background: #0d0d0d;
  border-radius: 10px;
  box-shadow: inset 0 0 0 2px #c8c8c8;
  height: 394px;
  margin: 0 auto;
  padding: 26px 24px;
  width: 561px;
}

.device-surface-pro-2017 .device-screen {
  border: 2px solid #121212;
  border-radius: 2px;
  height: 342px;
  width: 513px;
  overflow: hidden;
  position: relative;
}

.device-surface-pro-2017 .device-screen > img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  display: block;
}

.device-surface-pro-2017 .device-btns::after,
.device-surface-pro-2017 .device-btns::before {
  background: #c8c8c8;
  content: "";
  height: 2px;
  position: absolute;
  top: -2px;
}

.device-surface-pro-2017 .device-btns::after {
  left: 48px;
  width: 26px;
}

.device-surface-pro-2017 .device-btns::before {
  left: 94px;
  width: 48px;
}

.device-surface-pro-2017 .device-sensors {
  background: #333;
  border-radius: 50%;
  height: 6px;
  left: 50%;
  margin-left: -3px;
  margin-top: -3px;
  position: absolute;
  top: 14px;
  width: 6px;
}

/* ── Surface Book ───────────────────────────────────────────── */
.device-surface-book {
  height: 424px;
  width: 728px;
}

.device-surface-book .device-frame {
  background: #0d0d0d;
  border-radius: 12px;
  box-shadow: inset 0 0 0 2px #c8c8c8;
  height: 408px;
  margin: 0 auto;
  padding: 24px 22px;
  position: relative;
  width: 584px;
}

.device-surface-book .device-screen {
  border: 2px solid #121212;
  border-radius: 2px;
  height: 360px;
  width: 540px;
  overflow: hidden;
  position: relative;
}

.device-surface-book .device-screen > img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  display: block;
}

.device-surface-book .device-btns::after,
.device-surface-book .device-btns::before {
  background: #c8c8c8;
  content: "";
  height: 2px;
  position: absolute;
  top: -2px;
}

.device-surface-book .device-btns::after {
  left: 122px;
  width: 20px;
}

.device-surface-book .device-btns::before {
  left: 168px;
  width: 44px;
}

.device-surface-book .device-power {
  background: linear-gradient(to bottom, #eee, #c8c8c8);
  border: solid #c8c8c8;
  border-radius: 2px;
  border-width: 0 2px;
  height: 16px;
  margin-top: 4px;
  position: relative;
  width: 728px;
}

.device-surface-book .device-power::after,
.device-surface-book .device-power::before {
  content: "";
  position: absolute;
}

.device-surface-book .device-power::after {
  background: radial-gradient(circle at center, #eee 0, #eee 95%, #a2a2a2 100%);
  border-radius: 0 0 6px 6px;
  height: 8px;
  left: 50%;
  margin-left: -125px;
  top: 0;
  width: 250px;
  z-index: 1;
}

.device-surface-book .device-power::before {
  background: linear-gradient(to bottom, #eee, #c8c8c8);
  border-radius: 2px 2px 0 0;
  bottom: 16px;
  height: 8px;
  left: 50%;
  margin-left: -292px;
  width: 584px;
}

